Package io.vertx.ext.auth.webauthn4j

## Class Authenticator

- java.lang.Object
- - io.vertx.ext.auth.webauthn4j.Authenticator

-     public class Authenticator
      extends Object

  Data Object representing an authenticator at rest.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Authenticator()` |
    `Authenticator​(JsonObject json)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAaguid()` |
    `AttestationCertificates` | `getAttestationCertificates()` |
    `long` | `getCounter()` |
    `String` | `getCredID()` |
    `int` | `getFlags()` |
    `String` | `getFmt()` |
    `String` | `getPublicKey()` |
    `String` | `getType()` |
    `String` | `getUsername()` |
    `Authenticator` | `setAaguid​(String aaguid)` |
    `Authenticator` | `setAttestationCertificates​(AttestationCertificates attestationCertificates)` |
    `Authenticator` | `setCounter​(long counter)` |
    `Authenticator` | `setCredID​(String credID)` |
    `Authenticator` | `setFlags​(int flags)` |
    `Authenticator` | `setFmt​(String fmt)` |
    `Authenticator` | `setPublicKey​(String publicKey)` |
    `Authenticator` | `setType​(String type)` |
    `Authenticator` | `setUsername​(String username)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |
    `static UUID` | `toUUID​(String string)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Authenticator

          public Authenticator()

    - #### Authenticator

          public Authenticator​(JsonObject json)

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public Authenticator setUsername​(String username)

    - #### getType

          public String getType()

    - #### setType

          public Authenticator setType​(String type)

    - #### getCredID

          public String getCredID()

    - #### setCredID

          public Authenticator setCredID​(String credID)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public Authenticator setPublicKey​(String publicKey)

    - #### getCounter

          public long getCounter()

    - #### setCounter

          public Authenticator setCounter​(long counter)

    - #### setAttestationCertificates

          public Authenticator setAttestationCertificates​(AttestationCertificates attestationCertificates)

    - #### getAttestationCertificates

          public AttestationCertificates getAttestationCertificates()

    - #### getFlags

          public int getFlags()

    - #### setFlags

          public Authenticator setFlags​(int flags)

    - #### toJson

          public JsonObject toJson()

    - #### toUUID

          public static UUID toUUID​(String string)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setFmt

          public Authenticator setFmt​(String fmt)

    - #### getFmt

          public String getFmt()

    - #### setAaguid

          public Authenticator setAaguid​(String aaguid)

    - #### getAaguid

          public String getAaguid()